Operations
List asynchronous operations
Lists durable asynchronous operation state for the active organization. Use this endpoint to list asynchronous operations through the Samva email API.
Lists durable asynchronous operation state for the active organization.
Authorization
apiKey x-api-key<token>
In: header
Query Parameters
page?string|null
limit?string|null
kind?|null
status?|null
Response Body
application/json
application/json
application/json
application/json
curl -X GET "https://example.com/v1/operations"{ "items": [ { "id": "string", "organizationId": "string", "kind": "email-domain-provisioning", "subject": { "type": "string", "id": "string" }, "actor": { "type": "user", "id": "string" }, "status": "pending", "phase": "accepted", "error": { "code": "validation-failed", "message": "string" }, "createdAt": "string", "updatedAt": "string", "startedAt": "string", "completedAt": "string" } ], "pagination": { "page": 0, "limit": 0, "total": 0 }}Get an asynchronous operation
Returns one durable asynchronous operation from the active organization. Use this endpoint to get an asynchronous operation through the Samva email API.
Retry an asynchronous operation
Retries the same durable execution identity when its failure is explicitly retryable. Retrying a workspace deletion additionally requires `organization:delete`.